# Contacting the database

## CALCAT interface

To connect to the CALCAT database and retrieve calibration constants.
You can use the provided interface to use the calibration client API
provided by ITDM to retrieve the desired calibration constants and
retrieve related information e.g. detector mapping.


::: cal_tools.calcat_interface.CalibrationData
    options:
      members:
        - metadata
        - ndarray
        - ndarray_map
      show_source: false

::: cal_tools.calcat_interface.SplitConditionCalibrationData

::: cal_tools.calcat_interface.LPD_CalibrationData

::: cal_tools.calcat_interface.DSSC_CalibrationData

::: cal_tools.calcat_interface.JUNGFRAU_CalibrationData

::: cal_tools.calcat_interface.PNCCD_CalibrationData

::: cal_tools.calcat_interface.JUNGFRAU_CalibrationData

::: cal_tools.calcat_interface.EPIX100_CalibrationData

::: cal_tools.calcat_interface.GOTTHARD2_CalibrationData

::: cal_tools.calcat_interface.CalCatError

This is the current error type for this module. And it means that the
used API faced an Exception like no constants for the selected modules.
