European XFEL Offline Calibration
=================================

The European XFEL Offline Calibration (pyCalibration) is a python
package that consists of different services, responsible for applying
most of the offline calibration and characterization for the detectors.



Documentation contents:

- [Installation](installation.md) How to install pycalibration

- [Configuration](configuration.md) xfel-calibrate CLI configuration

- [Development](workflow.md) How to start developing offline calibration notebooks

- [How to write a notebook](how_to_write_xfel_calibrate_notebook_NBC.md) A guide on how to arrange notebook's cells.

- [available_notebooks](available_notebooks.md) The current available production notebooks.

- [calibration_database](calibration_database.md) The calibration database.